*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body{
    background-color: #f0f9f4;
    color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.app-container{
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    max-width: 400px;
    width: 90%;
    text-align: center;
    transition: all 1s ease-in-out;
}

h1{
    color: #2e2ecc;
    margin-bottom: 20px;
}

.input-container{
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-bottom: 20px;
    transition: all 1s ease-in-out;
}

input{
    padding: 10px;
    border-radius: 4px;
    border: 1px solid #ddd;
    outline: none;
    color: #333;
}
input:focus{
    border: 2px solid #8d94fe57;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
button {
    padding: 10px;
    background-color: #2e2ecc;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color .3s ease;
}

button:hover{
    background-color: #2756ae;
}

#bookmark-list{
    list-style: none;
    padding: 0;
}

#bookmark-list li{
    background-color: #f9f9f9;
    padding: 10px;
    border: 1px solid #ddd;
    margin-bottom: 10px;
    border-radius: 4px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#bookmark-list a{
    color: #4e2ecc;
    text-decoration: none;
}

#bookmark-list button{
    background-color: #e74c3c;
    padding: 5px 10px;

}

#bookmark-list button:hover{
    background-color: #c0392b;
}
.message{
    width: 100%;
    padding: 1rem;
    border-radius: 4px;
    padding: 10px;
    border: 1px solid;
    margin-bottom: 10px;
    font-size: .8rem;
    font-weight: 400;
    display: none;
    transition: all 1s ease-in-out;
}
.message.failure{
    color: #c0392b;
    background: #e74d3c55;
    border-color: #c0392b;
}
.message.success{
    color: #1a8145;
    background: #27ae5f52;
    border-color: #1a8145;
}